Bug 1289490 - The Activities Overview doesn't list settings' modules
The Activities Overview doesn't list settings' modules
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-08 04:59 EST by Giulio 'juliuxpigface'
Modified: 2015-12-18 09:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 09:32:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Giulio 'juliuxpigface' 2015-12-08 04:59:07 EST
Description of problem:
When issuing an input inside the Overview, Gnome Shell doesn't perform the query against the settings (or at least, it doesn't show the results).

It might be a design choice, but I think it's a sort of regression, because Gnome 3.18 lists the available settings which match the user's string.

Version-Release number of selected component (if applicable):
gnome-shell-3.19.2-2.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Open the Activities Overview
2.Type the name of a settings' facility (e.g.: "Monitor")

Actual results:
1.Only applications are listed; settings are not.

Expected results:
2.Both applications and settings should appear.

Additional info:
It's a Gnome+Wayland session, inside a qemu-kvm. Furthermore, my language is set to Italian (don't know if this might be relevant, though).
Comment 1 Florian Müllner 2015-12-10 10:12:37 EST
Those results are provided by gnome-control-center's search provider - is that enabled in Settings->Search? Do results for other applications (like "Files") show up in the overview?
Comment 2 Giulio 'juliuxpigface' 2015-12-13 08:10:57 EST
(In reply to Florian Müllner from comment #1)
> Those results are provided by gnome-control-center's search provider - is
> that enabled in Settings->Search?

Yes, it is. Moreover, every application is enabled.


> Do results for other applications (like
> "Files") show up in the overview?

1) Results (additional packages) from "Software" are displayed as expected.
2) It seems like files don't appear


Additional info:
1) The application "Software" can be launched
2) The application "File" (I mean... Nautilus) seems to crash when launched
Comment 3 Florian Müllner 2015-12-16 08:57:37 EST
(In reply to Giulio 'juliuxpigface' from comment #2)
> 
> 2) It seems like files don't appear
> 
> 
> Additional info:
> 2) The application "File" (I mean... Nautilus) seems to crash when launched

That's obviously bad, but explains why there are no "Files" search results.

Does running the following in a terminal work?
 $ gdbus call --session --dest org.gnome.ControlCenter.SearchProvider --object-path /org/gnome/ControlCenter/SearchProvider --method org.gnome.Shell.SearchProvider2.GetInitialResultSet "['monitor']"
Comment 4 Giulio 'juliuxpigface' 2015-12-17 14:41:24 EST
Florian, thank you for the support.

I've tried to run a fully up-to-date version of Rawhide and the bug isn't reproducible there. Everything works out of the box, without issuing gdbus (even Nautilus doesn't crash on startup anymore).

I think an update (between 2015-12-04 and 2015-12-17) has fixed it and improved substantially the overall situation.

I still have that "20151204" guest here, so let me know if there is a need for further testing around this issue. But, in my opinion, we can close this bug report, as it isn't reproducible with an updated Rawhide.
Comment 5 Florian Müllner 2015-12-18 09:32:55 EST
(In reply to Giulio 'juliuxpigface' from comment #4)
> But, in my opinion, we can close this bug report, as it isn't reproducible
> with an updated Rawhide.

Agreed.

Note You need to log in before you can comment on or make changes to this bug.